<template>
<div class="HighTypeContainer">
  <div class="contents">
    <ul>
      <li class="clearfix" v-for="(item, index) in dataList" :key="index" :style="{top: item.series * 34 + 'px'}">
        <div class="typeName fl tc">
          <div class="inline">{{item.name}}</div>
        </div>
        <div class="lineBox fl">
          <div class="bg"></div>
          <div class="precent" :style="{'width': ((item.count/item.total * 100).toFixed(2)) + '%', 'background': item.series < 3 ? 'linear-gradient(to right, rgba(219, 190, 11, 0.19) 20%, rgba(255, 183, 86, 0.71) 80%, rgba(251, 236, 149, 1) 100%)' : 'linear-gradient(to right, rgba(0, 0, 0, 0.19) 20%, rgba(0, 198, 255, 0.7) 80%, rgba(0, 0, 0, 0.99) 100%)'}"></div>
          <div class="count" :style="{'left': 'calc(' + ((item.count/item.total * 100).toFixed(2)) + '% - 25px)',  'color': item.series < 3 ? '#FFB756' : '#3DA2FE'}">{{item.count}}</div>
          <div class="circle" :style="{'left': ((item.count/item.total * 100).toFixed(2)) + '%', 'background': item.series < 3 ? 'url(' + require('../../../../assets/img/riskMonitor/integrated/riskAssessment/type1.png') + ') no-repeat' : 'url(' + require('../../../../assets/img/riskMonitor/integrated/riskAssessment/type2.png') + ') no-repeat'}"></div>
        </div>
      </li>
    </ul>
  </div>
</div>
</template>

<script>
export default {
  name: 'HighType',
  data() {
    return {
      dataList: [{
        id: 1,
        name: '燃气',
        count: 38,
        total: 40,
        series: 0
      }, {
        id: 2,
        name: '供水',
        count: 32,
        total: 40,
        series: 1
      }, {
        id: 3,
        name: '内涝',
        count: 26,
        total: 40,
        series: 2
      }, {
        id: 4,
        name: '热力',
        count: 24,
        total: 40,
        series: 3
      }, {
        id: 5,
        name: '消防',
        count: 15,
        total: 40,
        series: 4
      }, {
        id: 6,
        name: '管廊',
        count: 12,
        total: 40,
        series: 5
      }],
      timer: null
    }
  },
  created() {
    this.dataChange()
  },
  mounted() {},
  destroyed() {
    clearTimeout(this.timer)
  },
  methods: {
    dataChange() {
      clearTimeout(this.timer)
      // this.timer = setTimeout(() => {
      //   let dataList = [{
      //     id: 1,
      //     name: '燃气',
      //     count: Math.floor(Math.random() * (40 - 1 + 1)) + 1,
      //     total: 40,
      //     series: 0
      //   }, {
      //     id: 2,
      //     name: '供水',
      //     count: Math.floor(Math.random() * (40 - 1 + 1)) + 1,
      //     total: 40,
      //     series: 0
      //   }, {
      //     id: 3,
      //     name: '内涝',
      //     count: Math.floor(Math.random() * (40 - 1 + 1)) + 1,
      //     total: 40,
      //     series: 0
      //   }, {
      //     id: 4,
      //     name: '热力',
      //     count: Math.floor(Math.random() * (40 - 1 + 1)) + 1,
      //     total: 40,
      //     series: 0
      //   }, {
      //     id: 5,
      //     name: '消防',
      //     count: Math.floor(Math.random() * (40 - 1 + 1)) + 1,
      //     total: 40,
      //     series: 0
      //   }, {
      //     id: 6,
      //     name: '管廊',
      //     count: Math.floor(Math.random() * (40 - 1 + 1)) + 1,
      //     total: 40,
      //     series: 0
      //   }]
      //   let datas = [...dataList]
      //   datas.sort((a, b) => {
      //     return b.count - a.count
      //   })
      //   dataList.forEach(val => {
      //     datas.forEach((data, index) => {
      //       if(val.id === data.id) {
      //         val.series = index
      //       }
      //     })
      //   })
      //   this.dataList = [...dataList]
      //   this.dataChange()
      // }, 6000)
    }
  }
}
</script>

<style lang="scss" scoped>
.HighTypeContainer {
  width: 100%;
  height: 100%;
  position: relative;

  .contents {
    width: 100%;
    height: 100%;

    ul {
      width: 100%;
      height: 100%;
      position: relative;

      li {
        width: 100%;
        height: 34px;
        padding: 2px 0;
        box-sizing: border-box;
        position: absolute;
        transition: all 1s;

        .typeName {
          width: 60px;

          div {
            margin-top: 3px;
            padding: 6px;
            line-height: 12px;
            font-size: 12px;
            color: #94D6FF;
            background: rgba(255, 255, 255, 0.18);
          }
        }

        .lineBox {
          width: calc(100% - 60px);
          height: 30px;
          box-sizing: border-box;
          position: relative;

          .bg {
            width: 100%;
            height: 100%;
            background: rgba(255, 255, 255, 0.15);
            height: 6px;
            margin-top: 12px;
          }

          .precent {
            height: 6px;
            position: absolute;
            top: 12px;
            left: 0;
            transition: all 1s;
          }

          .count {
            position: absolute;
            top: -10px;
            left: 0;
          }

          .circle {
            position: absolute;
            width: 30px;
            height: 30px;
            top: 50%;
            left: 0;
            margin-left: -15px;
            margin-top: -15px;
            transition: all 1s;
          }
        }
      }
    }
  }
}
</style>
